Bug 171175 - [ATK] Expose value of aria-keyshortcuts as object attribute
Summary: [ATK] Expose value of aria-keyshortcuts as object attribute
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: WebKit Nightly Build
Hardware: All Linux
: P2 Normal
Assignee: Joanmarie Diggs (irc: joanie)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-04-22 16:22 PDT by Joanmarie Diggs (irc: joanie)
Modified: 2017-10-11 10:04 PDT (History)
12 users (show)

See Also:


Attachments
Patch (5.65 KB, patch)
2017-10-10 21:43 PDT, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff
Patch (7.12 KB, patch)
2017-10-11 01:37 PDT, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2017-04-22 16:22:02 PDT
https://rawgit.com/w3c/aria/master/core-aam/core-aam.html#ariaKeyshortcuts
Comment 1 Radar WebKit Bug Importer 2017-04-22 16:22:16 PDT
<rdar://problem/31775615>
Comment 2 Joanmarie Diggs (irc: joanie) 2017-10-10 21:43:39 PDT
Created attachment 323384 [details]
Patch
Comment 3 chris fleizach 2017-10-10 23:15:21 PDT
Comment on attachment 323384 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=323384&action=review

> Source/WebCore/accessibility/atk/WebKitAccessibleWrapperAtk.cpp:605
> +    String keyShortcuts = coreObject->getAttribute(HTMLNames::aria_keyshortcutsAttr);

can we plumb this through AccessibilityObject?
Comment 4 Joanmarie Diggs (irc: joanie) 2017-10-10 23:30:00 PDT
(In reply to chris fleizach from comment #3)
> Comment on attachment 323384 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=323384&action=review
> 
> > Source/WebCore/accessibility/atk/WebKitAccessibleWrapperAtk.cpp:605
> > +    String keyShortcuts = coreObject->getAttribute(HTMLNames::aria_keyshortcutsAttr);
> 
> can we plumb this through AccessibilityObject?

We could. But I was going for the minimal amount of change given what was stated in bug 159215 (i.e. doubts about what support for this new ARIA feature would entail).

If we do add support in AccessibilityObject, should we just return the value as-is, or convert it to a Vector as was done for AccessibilityRenderObject::determineARIADropEffects()?
Comment 5 chris fleizach 2017-10-10 23:39:31 PDT
Comment on attachment 323384 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=323384&action=review

>>> Source/WebCore/accessibility/atk/WebKitAccessibleWrapperAtk.cpp:605
>>> +    String keyShortcuts = coreObject->getAttribute(HTMLNames::aria_keyshortcutsAttr);
>> 
>> can we plumb this through AccessibilityObject?
> 
> We could. But I was going for the minimal amount of change given what was stated in bug 159215 (i.e. doubts about what support for this new ARIA feature would entail).
> 
> If we do add support in AccessibilityObject, should we just return the value as-is, or convert it to a Vector as was done for AccessibilityRenderObject::determineARIADropEffects()?

I think probably just a pass through for the time being
Comment 6 Joanmarie Diggs (irc: joanie) 2017-10-11 01:37:03 PDT
Created attachment 323397 [details]
Patch
Comment 7 WebKit Commit Bot 2017-10-11 10:04:46 PDT
Comment on attachment 323397 [details]
Patch

Clearing flags on attachment: 323397

Committed r223190: <https://trac.webkit.org/changeset/223190>
Comment 8 WebKit Commit Bot 2017-10-11 10:04:48 PDT
All reviewed patches have been landed.  Closing bug.